Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 27 May 2018, 10:09
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
guvcview will not open
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [12 Posts]  
Author Message
jamespoo

Joined: 04 Feb 2018
Posts: 16

PostPosted: Sun 04 Feb 2018, 20:33    Post subject:  guvcview will not open  

downloaded it from here http://distro.ibiblio.org/puppylinux/pet_packages-tahr/guvcview-1.7.1_tahr.pet

installed it but when i click on the program under multimedia nothing happens only the menu goes away i have tried about 5 times but it will never open Sad

or is there another program i can try would be nice to be able to use the built in webcam on this netbook
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 12202
Location: Gatineau (Qc), Canada

PostPosted: Sun 04 Feb 2018, 20:39    Post subject:  

Hello, jamespoo.

1) What Pup are you using? 2) As well, please provide a summary of your hardware.

3) Now open a console and type::
Code:
ldd /usr/bin/guvcview | grep not
This will tell if guvcview has any dependencies missing.
What do you see?

Relay the info for 1), 2) and 3) below: it will help us help you. Thanks.

BFN.

_________________
musher0
~~~~~~~~~~
"Logical entities must not be multiplied beyond necessity." | |
« Il ne faut pas multiplier les entités logiques sans nécessité. » (Ockham)
Back to top
View user's profile Send private message 
jamespoo

Joined: 04 Feb 2018
Posts: 16

PostPosted: Sun 04 Feb 2018, 20:53    Post subject:  

musher0 wrote:
Hello, jamespoo.

1) What Pup are you using? 2) As well, please provide a summary of your hardware.

3) Now open a console and type::
Code:
ldd /usr/bin/guvcview | grep not
This will tell if guvcview has any dependencies missing.
What do you see?

Relay the info for 1), 2) and 3) below: it will help us help you. Thanks.

BFN.


im running xenialpup 7.5 also i just installed google earth and that also will not open but all apps that came with xenialpup when i installed it open and work fine
Back to top
View user's profile Send private message 
jamespoo

Joined: 04 Feb 2018
Posts: 16

PostPosted: Sun 04 Feb 2018, 21:02    Post subject:  

i typed in ldd /usr/bin/guvcview | grep not

it says

libavcodec.so.54 => not found
libavutil.so.52 => not found
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 12202
Location: Gatineau (Qc), Canada

PostPosted: Sun 04 Feb 2018, 21:30    Post subject:  

jamespoo wrote:
i typed in ldd /usr/bin/guvcview | grep not

it says

libavcodec.so.54 => not found
libavutil.so.52 => not found

There you go!!! That means that guvcview is missing those two libraries.

~~~~~~~~~~

I found something apparently compatible in the ffmpeg libraries at
https://centos.pkgs.org/6/linuxtech/ffmpeg-libs_1.1-1.1.5-2.el6.i686.rpm.html
and made them into a pet archive. Please download this special package
for-guvcview-jamespoo-0.1.pet from
http://www32.zippyshare.com/v/MmQkzHAC/file.html.
Then install the package and try running guvcview?

If those libraries have missing dependencies themselves, we'll have to do this a couple
more times... Or it may work the first time. Keep us posted?

BFN.

_________________
musher0
~~~~~~~~~~
"Logical entities must not be multiplied beyond necessity." | |
« Il ne faut pas multiplier les entités logiques sans nécessité. » (Ockham)
Back to top
View user's profile Send private message 
jamespoo

Joined: 04 Feb 2018
Posts: 16

PostPosted: Sun 04 Feb 2018, 21:37    Post subject:  

musher0 wrote:
jamespoo wrote:
i typed in ldd /usr/bin/guvcview | grep not

it says

libavcodec.so.54 => not found
libavutil.so.52 => not found

There you go!!! That means that guvcview is missing those two libraries.

~~~~~~~~~~

I found something apparently compatible in the ffmpeg libraries at
https://centos.pkgs.org/6/linuxtech/ffmpeg-libs_1.1-1.1.5-2.el6.i686.rpm.html
and made them into a pet archive. Please download this special package
for-guvcview-jamespoo-0.1.pet from
http://www32.zippyshare.com/v/MmQkzHAC/file.html.
Then install the package and try running guvcview?

If those libraries have missing dependencies themselves, we'll have to do this a couple
more times... Or it may work the first time. Keep us posted?

BFN.


thanks installed it but app will still not open
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 12202
Location: Gatineau (Qc), Canada

PostPosted: Sun 04 Feb 2018, 21:43    Post subject:  

Run
Code:
ldd /usr/bin/guvcview | grep not
again to see if there is something other missing.
_________________
musher0
~~~~~~~~~~
"Logical entities must not be multiplied beyond necessity." | |
« Il ne faut pas multiplier les entités logiques sans nécessité. » (Ockham)
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 3714
Location: King's Lynn, UK.

PostPosted: Mon 05 Feb 2018, 16:05    Post subject:  

Hallo, jamespoo. And 'Welcome' to the kennels.

Now then; do persevere with musher0's instructions. Guvcview is a worthwhile app to have in your arsenal. However, what I'm about to suggest is a kind of 'back-up' item, for which I have watchdog to thank. Have a look here:-

http://www.murga-linux.com/puppy/viewtopic.php?t=112299

VideoView is a single, pre-compiled binary. Now, I don't know what the author, one Luca Risolia, compiled it against, but it runs with absolutely every Pup you can think of. It's built around the FastLightToolkit, and is absolutely minute in size. A worthy app for Puppy; I was so impressed with it, I made it up into a wee package, 'cos I felt all Puppians should have the option to keep it in their own 'back-up' kits.....

Watchdog offered it up for inspection when I was trying to get SimpleScreenRecorder running in Racy 5.5 some time ago. I'm glad he did! Very Happy

---------------------------------------------------

I'm guessing, from the look of things, that you got this .pet from the Tahrpup page at Ibiblio, yes? I run guvcview in the earlier, 'beta' version of Xenialpup 7.5, 7.0.8.1, and I got it through the Puppy Package Manager; it'll pull the necessary dependencies in that way. If you'd installed it via the PPM, you wouldn't have had any problems, y'see.

When you obtain the packages from Ibiblio (which, incidentally, is where Quickpet gets them from), you're getting just the package (these are essentially the Puppy package 'lists'). Hence, why you're now embarking on a 'lib-chase'.....

Carry on with the good work, musher0!


Mike. Wink

_________________
MY PUPPY PACKAGES | 'Thanks' are always appreciated!
--------------------------------------

Back to top
View user's profile Send private message Visit poster's website 
musher0


Joined: 04 Jan 2009
Posts: 12202
Location: Gatineau (Qc), Canada

PostPosted: Mon 05 Feb 2018, 17:11    Post subject:  

Thanks for the various reminders, Mike Walsh.
_________________
musher0
~~~~~~~~~~
"Logical entities must not be multiplied beyond necessity." | |
« Il ne faut pas multiplier les entités logiques sans nécessité. » (Ockham)
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 10438
Location: Charleston S.C. USA

PostPosted: Mon 05 Feb 2018, 18:01    Post subject:  

Quote:
im running xenialpup 7.5 also i just installed google earth and that also will not open

xenialpup 7.5 this is the 32bit version.

Uninstall the Google Earth you have installed by using the Puppy Package Manager(PPM) Uninstall.
Reboot.

Look in Quickpet and see if it offers Google Earth.

If not there, get it from the Xenialpup 32bit repository.
http://distro.ibiblio.org/puppylinux/pet_packages-xenial/

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked

Last edited by bigpup on Mon 05 Feb 2018, 18:24; edited 1 time in total
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 10438
Location: Charleston S.C. USA

PostPosted: Mon 05 Feb 2018, 18:21    Post subject:  

guvcview

Uninstall what you installed by using PPM uninstall.

Good idea to update the database in PPM by clicking on configure>Update database>Update now


Do a search for it in PPM.

Download and install it using PPM.
It should download and install all needed dependencies.

It works for me in Xenialpup64 7.5 by installing from PPM.
I installed
Code:
guvcview_2.0.2+debian-3

I will assume it will have a 32 bit version listed in the PPM in Xenialpup 7.5

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 12202
Location: Gatineau (Qc), Canada

PostPosted: Tue 06 Feb 2018, 06:11    Post subject:  

Sorry if I lead you in a more difficult direction, jamespoo.

It will be better if you uninstall whatever you have installed and follow bigpup's advice:
re-install guvcview from PPM.

BFN.

_________________
musher0
~~~~~~~~~~
"Logical entities must not be multiplied beyond necessity." | |
« Il ne faut pas multiplier les entités logiques sans nécessité. » (Ockham)
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [12 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0925s ][ Queries: 13 (0.0112s) ][ GZIP on ]